Bug 240308 - security/fsh: Remove redundant escapes of ordinary characters
Summary: security/fsh: Remove redundant escapes of ordinary characters
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords: dogfood
Depends on:
Blocks: 229925
  Show dependency treegraph
 
Reported: 2019-09-03 17:16 UTC by Kyle Evans
Modified: 2019-09-06 21:21 UTC (History)
0 users

See Also:


Attachments
svn(1) diff against the ports tree (2.24 KB, patch)
2019-09-03 17:16 UTC, Kyle Evans
koobs: maintainer-approval+
koobs: maintainer-approval+
Details | Diff
svn(1) diff against the ports tree (4.00 KB, patch)
2019-09-04 02:52 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2019-09-03 17:16:47 UTC
Created attachment 207152 [details]
svn(1) diff against the ports tree

Makefile.in has a number of escapes (all following @ in the sed expression) that serve no legitimate purpose as far as I can tell. Escaping ordinary characters is considered undefined behavior by POSIX, and bug #229925 aims to serve out errors for escaping of most ordinary characters to reduce friction when some of these sequences are given special meaning.

Things seem to come out OK looking with this patch applied, but I have no way to functionally test.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-04 01:48:50 UTC
^Triage: Reporter is committer, assign accordingly
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-04 01:49:10 UTC
Comment on attachment 207152 [details]
svn(1) diff against the ports tree

Approved by: portmgr (blanket: unmaintained port)

Pending QA
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-04 01:49:41 UTC
Comment on attachment 207152 [details]
svn(1) diff against the ports tree

If the changes pass QA (portlint, poudriere):

Approved by: koobs (ports)
Comment 4 Kyle Evans freebsd_committer 2019-09-04 02:52:06 UTC
Created attachment 207177 [details]
svn(1) diff against the ports tree

Fix the diff... we must literally replace @libexecdir@ and @python@ in these files, so the variables we sed in Makefile.in (the configure patch) must be renamed to not conflict.
Comment 5 Kyle Evans freebsd_committer 2019-09-04 18:04:28 UTC
Makefile.in has a number of escapes (all following @ in the sed expression) that serve no legitimate purpose as far as I can tell. Escaping ordinary characters is considered undefined behavior by POSIX, and bug #229925 aims to serve out errors for escaping of most ordinary characters to reduce friction when some of these sequences are given special meaning.

QA:
 * portlint: OK (minor warnings that should be addressed separately)
 * testport: OK (poudriere: 13.0-CURRENT and 12.0-RELEASE, amd64)
 * diffoscope: OK (only minor metadata changes to package)
Comment 6 commit-hook freebsd_committer 2019-09-06 21:20:39 UTC
A commit references this bug:

Author: kevans
Date: Fri Sep  6 21:20:26 UTC 2019
New revision: 511366
URL: https://svnweb.freebsd.org/changeset/ports/511366

Log:
  security/fsh: Remove redundant escapes of ordinary characters

  Makefile.in has a number of escapes (all following @ in the sed expression)
  that only serve to stop a sed in the configure script from replacing them.
  Escaping ordinary characters is considered undefined behavior by POSIX, and
  the patch in bug #229925 aims to serve out errors for escaping of most
  ordinary characters to reduce friction when some of these sequences are
  given special meaning.

  QA:
   * portlint: OK (minor warnings that should be addressed separately)
   * testport: OK (poudriere: 13.0-CURRENT and 12.0-RELEASE, amd64)
   * diffoscope: OK (only minor metadata changes to package)

  PR:		240308
  Approved by:	koobs (ports)

Changes:
  head/security/fsh/files/
  head/security/fsh/files/patch-Makefile.in
  head/security/fsh/files/patch-configure